Skip to main content
POST
/
api
/
v2
/
customers
/
{id}
/
block
curl -X POST "https://loveandpay.io/api/v2/customers/550e8400-e29b-41d4-a716-446655440000/block" \
  -H "Content-Type: application/json" \
  -H "x-api-key: pk_live_xxx" \
  -H "x-timestamp: 1706012345678" \
  -H "x-signature: a1b2c3d4e5f6..." \
  -d '{
    "reason": "Подозрительная активность"
  }'
{
  "success": true,
  "message": "Customer blocked",
  "customer": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "isBlocked": true,
    "blockedAt": "2024-01-23T12:00:00.000Z",
    "blockedReason": "Подозрительная активность"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.loveandpay.io/llms.txt

Use this file to discover all available pages before exploring further.

Заголовки

x-api-key
string
required
Ваш API ключ
x-timestamp
string
required
Unix timestamp в миллисекундах
x-signature
string
required
HMAC-SHA256 подпись

Path параметры

id
string
required
UUID клиента

Тело запроса

reason
string
Причина блокировки (для внутреннего использования)
{
  "success": true,
  "message": "Customer blocked",
  "customer": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "isBlocked": true,
    "blockedAt": "2024-01-23T12:00:00.000Z",
    "blockedReason": "Подозрительная активность"
  }
}
curl -X POST "https://loveandpay.io/api/v2/customers/550e8400-e29b-41d4-a716-446655440000/block" \
  -H "Content-Type: application/json" \
  -H "x-api-key: pk_live_xxx" \
  -H "x-timestamp: 1706012345678" \
  -H "x-signature: a1b2c3d4e5f6..." \
  -d '{
    "reason": "Подозрительная активность"
  }'
Заблокированный клиент не сможет совершать платежи через ваши счета. Для разблокировки используйте эндпоинт Разблокировать клиента.